# Chapter 19: Binary diffing

Radiff is the program used in radare to identify changes and delta offsets between two binary files. It implements different algorithms to find and show this information:

    $ radiff -h
    Usage: radiff [-c] [-bgeirp] [file-a] [file-b]
      -b   bytediff (faster but doesnt support displacements)
      -d   use gnu diff as backend (default)
      -e   use erg0ts bdiff (c++) as backend
      -p   use program diff (code analysis diff)
      -s   use rsc symdiff
      -S   use rsc symbytediff
      -r   output radare commands

- 19.1 Diffing at byte-level
- 19.2 Delta diffing
- 19.3 Diffing code graphs
- 19.4 Binary patch